Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.Rendition Class Reference
Inheritance diagram for foxit.pdf.Rendition:

## Public Types
enum | FloatingWindowOffscreenEvent { FloatingWindowOffscreenEvent.e_FloatingWindowOffscreenEventNone = 0, FloatingWindowOffscreenEvent.e_FloatingWindowOffscreenEventMoveResize = 1, FloatingWindowOffscreenEvent.e_FloatingWindowOffscreenEventNonViable = 2 }
| Enumeration for offscreen event type of floating window. More...
enum | FloatingWindowRelatedWindowType { FloatingWindowRelatedWindowType.e_FloatingWindowRelatedWindowDocument = 0, FloatingWindowRelatedWindowType.e_FloatingWindowRelatedWindowApplication = 1, FloatingWindowRelatedWindowType.e_FloatingWindowRelatedWindowFullDesktop = 2, FloatingWindowRelatedWindowType.e_FloatingWindowRelatedWindowMonitor = 3 }
| Enumeration for the type of floating window's related window. More...
enum | FloatingWindowResizeType { FloatingWindowResizeType.e_FloatingWindowResizeTypeNo = 0, FloatingWindowResizeType.e_FloatingWindowResizeTypeAspectRatio = 1, FloatingWindowResizeType.e_FloatingWindowResizeTypeAnyway = 2 }
| Enumeration for resize type of floating window. More...
enum | MediaOptionType { MediaOptionType.e_MediaOptionMustBeHonored = 0, MediaOptionType.e_MediaOptionBestEffort = 1 }
| Enumeration for media option type. More...
enum | MediaPermission { MediaPermission.e_MediaPermTempNever = 0, MediaPermission.e_MediaPermTempExtract = 1, MediaPermission.e_MediaPermTempAccess = 2, MediaPermission.e_MediaPermTempAlways = 3 }
| Enumeration for PDF media player permission. More...
enum | MediaPlayerFitStyle { MediaPlayerFitStyle.e_MediaPlayerFitStyleMeet = 0, MediaPlayerFitStyle.e_MediaPlayerFitStyleSlice = 1, MediaPlayerFitStyle.e_MediaPlayerFitStyleFill = 2, MediaPlayerFitStyle.e_MediaPlayerFitStyleScroll = 3, MediaPlayerFitStyle.e_MediaPlayerFitStyleHidden = 4, MediaPlayerFitStyle.e_MediaPlayerFitStyleDefault = 5 }
| Enumeration for the fit style. More...
enum | MediaPlayerType { MediaPlayerType.e_MediaPlayerMustUsed = 0, MediaPlayerType.e_MediaPlayerAvailable = 1, MediaPlayerType.e_MediaPlayerNotUsed = 2 }
| Enumeration for PDF media player classified type. More...
enum | MonitorSpecifier { MonitorSpecifier.e_MonitorSpecifierLargest = 0, MonitorSpecifier.e_MonitorSpecifierSmallest = 1, MonitorSpecifier.e_MonitorSpecifierPrimary = 2, MonitorSpecifier.e_MonitorSpecifierGreatestColorDepth = 3, MonitorSpecifier.e_MonitorSpecifierGreatestArea = 4, MonitorSpecifier.e_MonitorSpecifierGreatestHeight = 5, MonitorSpecifier.e_MonitorSpecifierGreatestWidth = 6 }
| Enumeration for monitor specifier type. More...
enum | WindowType { WindowType.e_WindowTypeFloating = 0, WindowType.e_WindowTypeFullScreen = 1, WindowType.e_WindowTypeHidden = 2, WindowType.e_WindowTypeAnnotRect = 3 }
| Enumeration for the type of window that the media should play in. More...

## Public Member Functions
| Rendition (foxit.pdf.PDFDoc pdf_doc, PDFDictionary rendition_dict)
| Constructor, with parameters. More...
| Rendition (Rendition other)
| Constructor, with another rendition object. More...
int | AddMediaPlayer (Rendition.MediaPlayerType type, MediaPlayer player)
| Add a media player object for specified type. More...
void | EnableAutoPlay (bool is_auto_play, Rendition.MediaOptionType opt_type)
| Set the flag to decide whether the media should automatically play when activated. More...
void | EnableControlBarVisible (bool is_visible, Rendition.MediaOptionType opt_type)
| Set the control bar visibility flag. More...
void | EnableFloatingWindowCloseButton (bool is_visible, Rendition.MediaOptionType opt_type)
| Set the flag to specify if the floating window should include user interface elements that allow a user to close a floating window. More...
void | EnableFloatingWindowTitleBar (bool is_visible, Rendition.MediaOptionType opt_type)
| Set flag to specify if the floating window should have a title bar. More...
int | GetBackgroundColor ()
| Get the background color for the rectangle in which the media is being played. More...
float | GetBackgroundOpacity ()
| Get the background opacity. (ignored for full-screen and hidden windows) More...
PDFDictionary | GetDict ()
| Get PDF dictionary of current object. More...
int | GetDuration ()
| Get the intrinsic duration. More...
Rendition.MediaPlayerFitStyle | GetFitStyle ()
| Get the fit style. More...
int | GetFloatingWindowHeight ()
| Get the height of floating window, in pixels. More...
Rendition.FloatingWindowOffscreenEvent | GetFloatingWindowOffscreenEvent ()
| Get the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor). More...
Position | GetFloatingWindowPosition ()
| Get the position where floating window should be positioned to the related window. More...
Rendition.FloatingWindowRelatedWindowType | GetFloatingWindowRelatedWindowType ()
| Get the window relative type. More...
Rendition.FloatingWindowResizeType | GetFloatingWindowResizeType ()
| Get the resize type which specifies whether the floating window may be resized by a user. More...
WStringArray | GetFloatingWindowTitles ()
| Get the multi-language text array which provides text to display on the floating window's title bar. More...
int | GetFloatingWindowWidth ()
| Get the width of floating window, in pixels. More...
string | GetMediaBaseURL ()
| Get the base URL. More...
string | GetMediaClipContentType ()
| Get the content type (MIME type) of the media data. More...
FileSpec | GetMediaClipFile ()
| Get the file specification of the actual media data. More...
string | GetMediaClipName ()
| Get the name of the media clip, for use in user interface. More...
WStringArray | GetMediaDescriptions ()
| Get the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played. More...
MediaPlayer | GetMediaPlayer (Rendition.MediaPlayerType type, int index)
| Get a media player object by index for specified type. More...
int | GetMediaPlayerCount (Rendition.MediaPlayerType type)
| Get the count of media player objects for specified type. More...
Rendition.MonitorSpecifier | GetMonitorSpecifier ()
| Get the monitor specifier type value. More...
Rendition.MediaPermission | GetPermission ()
| Get the media permission. More...
string | GetRenditionName ()
| Get the name. More...
int | GetRepeatCount ()
| Get the repeat count, similar to SMIL's repeatCount attribute. More...
int | GetVolume ()
| Get the volume that specifies the desired volume level as a percentage of recorded volume level. More...
Rendition.WindowType | GetWindowType ()
| Get the type of window that the media should play in. More...
bool | HasFloatingWindowCloseButton ()
| Check if the floating window should include user interface elements that allow a user to close a floating window. More...
bool | HasFloatingWindowTitleBar ()
| Check if the floating window should have a title bar. More...
bool | HasMediaClip ()
| Check if current rendition object contains a media clip. More...
bool | IsAutoPlay ()
| Check whether the media should automatically play when activated. More...
bool | IsControlBarVisible ()
| Check whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | RemoveMediaPlayer (Rendition.MediaPlayerType type, MediaPlayer player)
| Remove a media player object for specified type. More...
void | SetBackgroundColor (int color, Rendition.MediaOptionType opt_type)
| Set the background color for the rectangle in which the media is being played. More...
void | SetBackgroundOpacity (float opacity, Rendition.MediaOptionType opt_type)
| Set the background opacity. (ignored for full-screen and hidden windows) More...
void | SetDuration (int duration, Rendition.MediaOptionType opt_type)
| Set the intrinsic duration. More...
void | SetFitStyle (Rendition.MediaPlayerFitStyle fit_style, Rendition.MediaOptionType opt_type)
| Set the fit style. More...
void | SetFloatingWindowOffscreenEvent (Rendition.FloatingWindowOffscreenEvent offscreen_event, Rendition.MediaOptionType opt_type)
| Set the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor). More...
void | SetFloatingWindowPosition (Position position, Rendition.MediaOptionType opt_type)
| Set the position where floating window should be positioned to the related window. More...
void | SetFloatingWindowRelatedWindowType (Rendition.FloatingWindowRelatedWindowType window_type, Rendition.MediaOptionType opt_type)
| Set the window relative type. More...
void | SetFloatingWindowResizeType (Rendition.FloatingWindowResizeType resize_type, Rendition.MediaOptionType opt_type)
| Set the resize type which specifies whether the floating window may be resized by a user. More...
void | SetFloatingWindowSize (int width, int height, Rendition.MediaOptionType opt_type)
| Set the size of floating window, in pixels. More...
void | SetFloatingWindowTitles (WStringArray titles, Rendition.MediaOptionType opt_type)
| Set the multi-language text array which provides text to display on the floating window's title bar. More...
void | SetMediaBaseURL (string base_url, Rendition.MediaOptionType opt_type)
| Set the base URL. More...
void | SetMediaClipContentType (string content_type)
| Set the content type (MIME type) of the media data. More...
void | SetMediaClipFile (FileSpec file_specification)
| Set the file specification of the actual media data. More...
void | SetMediaClipName (string name)
| Set the name of the media clip, for use in user interface. More...
void | SetMediaDescriptions (WStringArray description_array)
| Set the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played. More...
void | SetMonitorSpecifier (Rendition.MonitorSpecifier monitor_specifier, Rendition.MediaOptionType opt_type)
| Set the monitor specifier type value. More...
void | SetPermission (Rendition.MediaPermission permission)
| Set the media permission. More...
void | SetRenditionName (string name)
| Get the name. More...
void | SetRepeatCount (int count, Rendition.MediaOptionType opt_type)
| Set the repeat count, similar to SMIL's repeatCount attribute. More...
void | SetVolume (int volume, Rendition.MediaOptionType opt_type)
| Set the volume that specifies the desired volume level as a percentage of recorded volume level. More...
void | SetWindowType (Rendition.WindowType window_type, Rendition.MediaOptionType opt_type)
| Set the type of window that the media should play in. More...

## Detailed Description

Rendition object is used as a media object that specifies what to play, how to play it and where to play it. (For more details, please refer to <PDF Reference 1.7> P758 Section "9.1.2 Renditions", P762 "Media Renditions")

## Member Enumeration Documentation

## ◆ FloatingWindowOffscreenEvent

enum foxit.pdf.Rendition.FloatingWindowOffscreenEvent
| strong

Enumeration for offscreen event type of floating window.

Values of this enumeration should be used alone.
Offscreen event type is used to specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

Enumerator
e_FloatingWindowOffscreenEventNone | Nothing.
e_FloatingWindowOffscreenEventMoveResize | Move or resize.
e_FloatingWindowOffscreenEventNonViable | Consider the object non-viable.

## ◆ FloatingWindowRelatedWindowType

enum foxit.pdf.Rendition.FloatingWindowRelatedWindowType
| strong

Enumeration for the type of floating window's related window.

Values of this enumeration should be used alone.
Related window type specifies the place to which the floating window should be positioned.

Enumerator
e_FloatingWindowRelatedWindowDocument | The document window.
e_FloatingWindowRelatedWindowApplication | The application window.
e_FloatingWindowRelatedWindowFullDesktop | The full virtual desktop.
e_FloatingWindowRelatedWindowMonitor | Depends on monitor specifier.

## ◆ FloatingWindowResizeType

enum foxit.pdf.Rendition.FloatingWindowResizeType
| strong

Enumeration for resize type of floating window.

Values of this enumeration should be used alone.

Enumerator
e_FloatingWindowResizeTypeNo | May not be resized.
e_FloatingWindowResizeTypeAspectRatio | May be resized only if aspect ratio is preserved.
e_FloatingWindowResizeTypeAnyway | May be resized without preserving aspect ratio.

## ◆ MediaOptionType

enum foxit.pdf.Rendition.MediaOptionType
| strong

Enumeration for media option type.

Values of this enumeration should be used alone.
Please refer to <PDF reference 1.7> P757 Section "9.1.1 Viability" for more details.

Enumerator
e_MediaOptionMustBeHonored | Options defined in this type must be honored for rendition object to be considered viable.
e_MediaOptionBestEffort | Options defined in this type need only be honored in a "best effort" sense.

## ◆ MediaPermission

enum foxit.pdf.Rendition.MediaPermission
| strong

Enumeration for PDF media player permission.

Values of this enumeration should be used alone.
Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

Enumerator
e_MediaPermTempNever | Never allowed.
e_MediaPermTempExtract | Allowed only if the document permissions allow content extraction.
e_MediaPermTempAccess | Allowed only if the document permissions allow content extraction, including for accessibility purposes.
e_MediaPermTempAlways | Always allowed.

## ◆ MediaPlayerFitStyle

enum foxit.pdf.Rendition.MediaPlayerFitStyle
| strong

Enumeration for the fit style.

Values of this enumeration should be used alone.
Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Enumerator
e_MediaPlayerFitStyleMeet | The media's width and height are scaled while preserving the aspect ratio so that the media and play rectangles have the greatest possible intersection while still displaying all media content. Same as "meet" value of SMIL's fit attribute.
e_MediaPlayerFitStyleSlice | The media's width and height are scaled while preserving the aspect ratio so that the play rectangle is entirely filled, and the amount of media content that does not fit within the play rectangle is minimized. Same as "slice" value of SMIL's fit attribute.
e_MediaPlayerFitStyleFill | The media's width and height are scaled independently so that the media and play rectangles are the same; the aspect ratio is not necessarily preserved. Same as "fill" value of SMIL's fit attribute.
e_MediaPlayerFitStyleScroll | The media is not scaled. A scrolling user interface is provided if the media rectangle is wider or taller than the play rectangle. Same as "scroll" value of SMIL's fit attribute.
e_MediaPlayerFitStyleHidden | The media is not scaled. Only the portions of the media rectangle that intersect the play rectangle are displayed. Same as "hidden" value of SMIL's fit attribute.
e_MediaPlayerFitStyleDefault | Use the player's default setting (author has no preference).

## ◆ MediaPlayerType

enum foxit.pdf.Rendition.MediaPlayerType
| strong

Enumeration for PDF media player classified type.

Values of this enumeration should be used alone.

Enumerator
e_MediaPlayerMustUsed | One of players in this type must be used in playing the associated media clip.
e_MediaPlayerAvailable | Any of players in this type may be used in playing the associated media clip.
e_MediaPlayerNotUsed | Players in this type must not be used in playing the associated media clip.

## ◆ MonitorSpecifier

enum foxit.pdf.Rendition.MonitorSpecifier
| strong

Enumeration for monitor specifier type.

Values of this enumeration should be used alone.
Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Enumerator
e_MonitorSpecifierLargest | The monitor that contains the largest section of the document window.
e_MonitorSpecifierSmallest | The monitor that contains the smallest section of the document window.
e_MonitorSpecifierPrimary | Primary monitor. If no monitor is considered primary, use case 0.
e_MonitorSpecifierGreatestColorDepth | Monitor with the greatest color depth.
e_MonitorSpecifierGreatestArea | Monitor with the greatest area (in pixels squared)
e_MonitorSpecifierGreatestHeight | Monitor with the greatest height (in pixels)
e_MonitorSpecifierGreatestWidth | Monitor with the greatest width (in pixels)

## ◆ WindowType

enum foxit.pdf.Rendition.WindowType
| strong

Enumeration for the type of window that the media should play in.

Values of this enumeration should be used alone.

Enumerator
e_WindowTypeFloating | Window type: a floating window.
e_WindowTypeFullScreen | Window type: a full-screen window that obscures all other windows.
e_WindowTypeHidden | Window type: a hidden window.
e_WindowTypeAnnotRect | Window type: the rectangle occupied by the screen annotation which is associated with the rendition object.

## Constructor & Destructor Documentation

## ◆ Rendition() [1/2]

foxit.pdf.Rendition.Rendition | ( | foxit.pdf.PDFDoc | pdf_doc,
|  | PDFDictionary | rendition_dict
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document object.
  [in] | rendition_dict | The PDF dictionary for a rendition object in PDF document represented by parameter pdf_doc. If this is null that means to construct a new rendition object in PDF document represented by parameter pdf_obj. Default value: null.

## ◆ Rendition() [2/2]

foxit.pdf.Rendition.Rendition | ( | Rendition | other | ) |
| inline

Constructor, with another rendition object.

Parameters

  [in] | other | Another rendition object.

## Member Function Documentation

## ◆ AddMediaPlayer()

int foxit.pdf.Rendition.AddMediaPlayer | ( | Rendition.MediaPlayerType | type,
|  | MediaPlayer | player
| ) |  |
| inline

Add a media player object for specified type.

Usually, a media player object should be only be added to a rendition object with specified media player type. User is not recommended to add the same media player object to different renditions or different media player types of one rendition; otherwise unexpected issues (such as crash) may occur later. If user does not want to construct another media player and set same values, user can clone the dictionary of original media player object and use the cloned dictionary to construct another media player directly.

Parameters

  [in] | type | Media player type. Please refer to values starting from foxit.pdf.Rendition.MediaPlayerType.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | player | A media player object to be added for specified type. If the media player has existed for specified type, this function will return the index of the media player.

Returns
  Index of the input media player.

## ◆ EnableAutoPlay()

void foxit.pdf.Rendition.EnableAutoPlay | ( | bool | is_auto_play,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the flag to decide whether the media should automatically play when activated.

Parameters

  [in] | is_auto_play | true means the media should automatically play when activated, while false means the media should be initially paused when activated (for example, the first frame is displayed). Relevant only for media that may be paused.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ EnableControlBarVisible()

void foxit.pdf.Rendition.EnableControlBarVisible | ( | bool | is_visible,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the control bar visibility flag.

Control bar visibility flag is used to decide whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

Parameters

  [in] | is_visible | true means to display a player-specific controller user interface, while false means not to display such user interface.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ EnableFloatingWindowCloseButton()

void foxit.pdf.Rendition.EnableFloatingWindowCloseButton | ( | bool | is_visible,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the flag to specify if the floating window should include user interface elements that allow a user to close a floating window.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Parameters

  [in] | is_visible | true means the floating window should include user interface elements that allow a user to close a floating window, while false means the floating window does not need to include such user interface element.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ EnableFloatingWindowTitleBar()

void foxit.pdf.Rendition.EnableFloatingWindowTitleBar | ( | bool | is_visible,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set flag to specify if the floating window should have a title bar.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Parameters

  [in] | is_visible | true means the floating window should have a title bar, while false means the floating window does not need to have a title bar.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ GetBackgroundColor()

int foxit.pdf.Rendition.GetBackgroundColor | ( |  | ) |
| inline

Get the background color for the rectangle in which the media is being played.

Returns
  Background color. Format: 0xRRGGBB. The returned value 0xFFFFFF may also mean that no value for such property is defined in the rendition object.

## ◆ GetBackgroundOpacity()

float foxit.pdf.Rendition.GetBackgroundOpacity | ( |  | ) |
| inline

Get the background opacity. (ignored for full-screen and hidden windows)

Returns
  Background opacity. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque. If no value for such property is defined in the rendition object, 1.0 would be returned by default.

## ◆ GetDict()

PDFDictionary foxit.pdf.Rendition.GetDict | ( |  | ) |
| inline

Get PDF dictionary of current object.

Returns
  The PDF dictionary. If there is any error, this function will return null.

## ◆ GetDuration()

int foxit.pdf.Rendition.GetDuration | ( |  | ) |
| inline

Get the intrinsic duration.

Returns
  Intrinsic duration value. It would be:

  - -2: use intrinsic duration;

  - -1: infinity duration;

  - >= 0: explicit duration.

  If no value for such property is defined in the rendition object, -2 would be returned by default.

## ◆ GetFitStyle()

Rendition.MediaPlayerFitStyle foxit.pdf.Rendition.GetFitStyle | ( |  | ) |
| inline

Get the fit style.

Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Returns
  Fit style value. Please refer to values starting from foxit.pdf.Rendition.MediaPlayerFitStyle.e_MediaPlayerFitStyleMeet and this would be one of these values. If no value for such property is defined in the rendition object, foxit.pdf.Rendition.MediaPlayerFitStyle.e_MediaPlayerFitStyleDefault would be returned by default.

## ◆ GetFloatingWindowHeight()

int foxit.pdf.Rendition.GetFloatingWindowHeight | ( |  | ) |
| inline

Get the height of floating window, in pixels.

This property is necessary when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Returns
  Height of floating window, in pixels.

## ◆ GetFloatingWindowOffscreenEvent()

Rendition.FloatingWindowOffscreenEvent foxit.pdf.Rendition.GetFloatingWindowOffscreenEvent | ( |  | ) |
| inline

Get the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Returns
  Event type for offscreen situation of floating window. Please refer to values starting from foxit.pdf.Rendition.FloatingWindowOffscreenEvent.e_FloatingWindowOffscreenEventNone and this would be one of these values. If no value for such property is defined in the rendition object, foxit.pdf.Rendition.FloatingWindowOffscreenEvent.e_FloatingWindowOffscreenEventMoveResize would be returned by default.

## ◆ GetFloatingWindowPosition()

Position foxit.pdf.Rendition.GetFloatingWindowPosition | ( |  | ) |
| inline

Get the position where floating window should be positioned to the related window.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .
Window relative specifies the place to which the floating window should be positioned.

Returns
  Position value. Please refer to values starting from foxit.common.Position.e_PosTopLeft and this would be one of these values. If no value for such property is defined in the rendition object, foxit.common.Position.e_PosCenter would be returned by default.

## ◆ GetFloatingWindowRelatedWindowType()

Rendition.FloatingWindowRelatedWindowType foxit.pdf.Rendition.GetFloatingWindowRelatedWindowType | ( |  | ) |
| inline

Get the window relative type.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .
Related window type specifies the place to which the floating window should be positioned.

Returns
  Related window type. Please refer to values starting from foxit.pdf.Rendition.FloatingWindowRelatedWindowType.e_FloatingWindowRelatedWindowDocument and this would be one of these values. this would be one of these values. If no value for such property is defined in the rendition object, foxit.pdf.Rendition.FloatingWindowRelatedWindowType.e_FloatingWindowRelatedWindowDocument would be returned by default.

## ◆ GetFloatingWindowResizeType()

Rendition.FloatingWindowResizeType foxit.pdf.Rendition.GetFloatingWindowResizeType | ( |  | ) |
| inline

Get the resize type which specifies whether the floating window may be resized by a user.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Returns
  Resize type. Please refer to values starting from foxit.pdf.Rendition.FloatingWindowResizeType.e_FloatingWindowResizeTypeNo and this would be one of these values. If no value for such property is defined in the rendition object, foxit.pdf.Rendition.FloatingWindowResizeType.e_FloatingWindowResizeTypeNo would be returned by default.

## ◆ GetFloatingWindowTitles()

WStringArray foxit.pdf.Rendition.GetFloatingWindowTitles | ( |  | ) |
| inline

Get the multi-language text array which provides text to display on the floating window's title bar.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .
Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the caption.

Returns
  A string array that represents multi-language text array.

## ◆ GetFloatingWindowWidth()

int foxit.pdf.Rendition.GetFloatingWindowWidth | ( |  | ) |
| inline

Get the width of floating window, in pixels.

This property is necessary when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Returns
  Width of floating window, in pixels.

## ◆ GetMediaBaseURL()

string foxit.pdf.Rendition.GetMediaBaseURL | ( |  | ) |
| inline

Get the base URL.

Base URL is an absolute URL which is used in resolving any relative URLs found within the media data.

Returns
  The base URL.

## ◆ GetMediaClipContentType()

string foxit.pdf.Rendition.GetMediaClipContentType | ( |  | ) |
| inline

Get the content type (MIME type) of the media data.

Content type specifies the type of the media data represented by file specification. The content type string should conform to the content type specification described in Internet RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies.

Returns
  Content type (MIME type).

## ◆ GetMediaClipFile()

FileSpec foxit.pdf.Rendition.GetMediaClipFile | ( |  | ) |
| inline

Get the file specification of the actual media data.

Returns
  A file specification object.

## ◆ GetMediaClipName()

string foxit.pdf.Rendition.GetMediaClipName | ( |  | ) |
| inline

Get the name of the media clip, for use in user interface.

Returns
  Name of the media clip.

## ◆ GetMediaDescriptions()

WStringArray foxit.pdf.Rendition.GetMediaDescriptions | ( |  | ) |
| inline

Get the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played.

Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the description.

Returns
  The multi-language text array for description.

## ◆ GetMediaPlayer()

MediaPlayer foxit.pdf.Rendition.GetMediaPlayer | ( | Rendition.MediaPlayerType | type,
|  | int | index
| ) |  |
| inline

Get a media player object by index for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from foxit.pdf.Rendition.MediaPlayerType.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | index | Index of the media player object to be retrieved. Valid range: from 0 to (count-1). count is returned by function Rendition.GetMediaPlayerCount .

Returns
  A media player object.

## ◆ GetMediaPlayerCount()

int foxit.pdf.Rendition.GetMediaPlayerCount | ( | Rendition.MediaPlayerType | type | ) |
| inline

Get the count of media player objects for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from foxit.pdf.Rendition.MediaPlayerType.e_MediaPlayerMustUsed and this should be one of these values.

Returns
  The count of media player objects for specified type.

## ◆ GetMonitorSpecifier()

Rendition.MonitorSpecifier foxit.pdf.Rendition.GetMonitorSpecifier | ( |  | ) |
| inline

Get the monitor specifier type value.

Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Returns
  Monitor specifier type value. Please refer to values starting from foxit.pdf.Rendition.MonitorSpecifier.e_MonitorSpecifierLargest and this would be one of these values. If no value for such property is defined in the rendition object, foxit.pdf.Rendition.MonitorSpecifier.e_MonitorSpecifierLargest would be returned by default.

## ◆ GetPermission()

Rendition.MediaPermission foxit.pdf.Rendition.GetPermission | ( |  | ) |
| inline

Get the media permission.

Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

Returns
  Media permission value. Please refer to values starting from foxit.pdf.Rendition.MediaPermission.e_MediaPermTempNever and this would be one of these values.

## ◆ GetRenditionName()

string foxit.pdf.Rendition.GetRenditionName | ( |  | ) |
| inline

Get the name.

This name can be used for name tree lookup by JavaSript actions and can also be used in user interface.

Returns
  Name of current rendition object.

## ◆ GetRepeatCount()

int foxit.pdf.Rendition.GetRepeatCount | ( |  | ) |
| inline

Get the repeat count, similar to SMIL's repeatCount attribute.

Returns
  The repeat count.0 means repeat forever. If no value for such property is defined in the rendition object, 1 would be returned by default.

## ◆ GetVolume()

int foxit.pdf.Rendition.GetVolume | ( |  | ) |
| inline

Get the volume that specifies the desired volume level as a percentage of recorded volume level.

Returns
  Volume value. 0 means mute.If no value for such property is defined in the rendition object, 100 would be returned by default.

## ◆ GetWindowType()

Rendition.WindowType foxit.pdf.Rendition.GetWindowType | ( |  | ) |
| inline

Get the type of window that the media should play in.

Returns
  Windows type value. Please refer to foxit.pdf.Rendition.WindowType.e_WindowTypeFloating values and it would be one of these values. If no value for such property is defined in the rendition object, foxit.pdf.Rendition.WindowType.e_WindowTypeAnnotRect would be returned by default.

## ◆ HasFloatingWindowCloseButton()

bool foxit.pdf.Rendition.HasFloatingWindowCloseButton | ( |  | ) |
| inline

Check if the floating window should include user interface elements that allow a user to close a floating window.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Returns
  true means the floating window should include user interface elements that allow a user to close a floating window, while false means the floating window does not need to include such user interface element. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ HasFloatingWindowTitleBar()

bool foxit.pdf.Rendition.HasFloatingWindowTitleBar | ( |  | ) |
| inline

Check if the floating window should have a title bar.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Returns
  true means the floating window should have a title bar, while false means the floating window does not need to have a title bar. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ HasMediaClip()

bool foxit.pdf.Rendition.HasMediaClip | ( |  | ) |
| inline

Check if current rendition object contains a media clip.

Returns
  true means current rendition object contains a media clip, while false means current rendition object does not contain any media clip.

## ◆ IsAutoPlay()

bool foxit.pdf.Rendition.IsAutoPlay | ( |  | ) |
| inline

Check whether the media should automatically play when activated.

Returns
  true means the media should automatically play when activated, while false means the media should be initially paused when activated (for example, the first frame is displayed). Relevant only for media that may be paused. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ IsControlBarVisible()

bool foxit.pdf.Rendition.IsControlBarVisible | ( |  | ) |
| inline

Check whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

Returns
  true means to display a player-specific controller user interface, while false means not to display such user interface. If no value for such property is defined in the rendition object, false would be returned by default.

## ◆ IsEmpty()

bool foxit.pdf.Rendition.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveMediaPlayer()

void foxit.pdf.Rendition.RemoveMediaPlayer | ( | Rendition.MediaPlayerType | type,
|  | MediaPlayer | player
| ) |  |
| inline

Remove a media player object for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from foxit.pdf.Rendition.MediaPlayerType.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | player | A media player object to be removed.

Returns
  None.

## ◆ SetBackgroundColor()

void foxit.pdf.Rendition.SetBackgroundColor | ( | int | color,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the background color for the rectangle in which the media is being played.

Parameters

  [in] | color | Background color to set. Format: 0xRRGGBB.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetBackgroundOpacity()

void foxit.pdf.Rendition.SetBackgroundOpacity | ( | float | opacity,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the background opacity. (ignored for full-screen and hidden windows)

Parameters

  [in] | opacity | Background opacity. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetDuration()

void foxit.pdf.Rendition.SetDuration | ( | int | duration,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the intrinsic duration.

Parameters

  [in] | duration | Intrinsic duration value to set. It should be: -2: use intrinsic duration; -1: infinity duration; >= 0: explicit duration.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFitStyle()

void foxit.pdf.Rendition.SetFitStyle | ( | Rendition.MediaPlayerFitStyle | fit_style,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the fit style.

Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Parameters

  [in] | fit_style | Fit style value. Please refer to values starting from foxit.pdf.Rendition.MediaPlayerFitStyle.e_MediaPlayerFitStyleMeet and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowOffscreenEvent()

void foxit.pdf.Rendition.SetFloatingWindowOffscreenEvent | ( | Rendition.FloatingWindowOffscreenEvent | offscreen_event,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Parameters

  [in] | offscreen_event | Event type for offscreen situation of floating window. Please refer to values starting from foxit.pdf.Rendition.FloatingWindowOffscreenEvent.e_FloatingWindowOffscreenEventNone and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowPosition()

void foxit.pdf.Rendition.SetFloatingWindowPosition | ( | Position | position,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the position where floating window should be positioned to the related window.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .
Window relative specifies the place to which the floating window should be positioned.

Parameters

  [in] | position | Window relative type. Please refer to values starting from foxit.pdf.Rendition.FloatingWindowRelatedWindowType.e_FloatingWindowRelatedWindowDocument and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowRelatedWindowType()

void foxit.pdf.Rendition.SetFloatingWindowRelatedWindowType | ( | Rendition.FloatingWindowRelatedWindowType | window_type,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the window relative type.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .
Related window type specifies the place to which the floating window should be positioned.

Parameters

  [in] | window_type | Related window type. Please refer to values starting from foxit.pdf.Rendition.FloatingWindowRelatedWindowType.e_FloatingWindowRelatedWindowDocument and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowResizeType()

void foxit.pdf.Rendition.SetFloatingWindowResizeType | ( | Rendition.FloatingWindowResizeType | resize_type,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the resize type which specifies whether the floating window may be resized by a user.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Parameters

  [in] | resize_type | Resize type. Please refer to values starting from foxit.pdf.Rendition.FloatingWindowResizeType.e_FloatingWindowResizeTypeNo and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowSize()

void foxit.pdf.Rendition.SetFloatingWindowSize | ( | int | width,
|  | int | height,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the size of floating window, in pixels.

This property is necessary when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .

Parameters

  [in] | width | Width of floating window, in pixels. This value should be larger than 0.
  [in] | height | Height of floating window, in pixels. This value should be larger than 0.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetFloatingWindowTitles()

void foxit.pdf.Rendition.SetFloatingWindowTitles | ( | WStringArray | titles,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the multi-language text array which provides text to display on the floating window's title bar.

This property is only useful when the windows type is foxit.pdf.Rendition.WindowType.e_WindowTypeFloating .
Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the caption.

Parameters

  [in] | titles | A string array that represents multi-language text array.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetMediaBaseURL()

void foxit.pdf.Rendition.SetMediaBaseURL | ( | string | base_url,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the base URL.

Base URL is an absolute URL which is used in resolving any relative URLs found within the media data.

Parameters

  [in] | base_url | The base URL to set.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetMediaClipContentType()

void foxit.pdf.Rendition.SetMediaClipContentType | ( | string | content_type | ) |
| inline

Set the content type (MIME type) of the media data.

Content type specifies the type of the media data represented by file specification. The content type string should conform to the content type specification described in Internet RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies.
User is recommended to set the content type when setting a new file specification by function Rendition.SetMediaClipFile .

Parameters

  [in] | content_type | Content type (MIME type).

Returns
  None.

## ◆ SetMediaClipFile()

void foxit.pdf.Rendition.SetMediaClipFile | ( | FileSpec | file_specification | ) |
| inline

Set the file specification of the actual media data.

This property is necessary for a rendition object. And user is recommended to set the content type by function Rendition.SetMediaClipContentType after setting a new file specification.

Parameters

  [in] | file_specification | A file specification object.

Returns
  None.

## ◆ SetMediaClipName()

void foxit.pdf.Rendition.SetMediaClipName | ( | string | name | ) |
| inline

Set the name of the media clip, for use in user interface.

Parameters

  [in] | name | Name string to be set for the media clip.

Returns
  None.

## ◆ SetMediaDescriptions()

void foxit.pdf.Rendition.SetMediaDescriptions | ( | WStringArray | description_array | ) |
| inline

Set the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played.

Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the description.

Parameters

  [in] | description_array | A multi-language text array for description.

Returns
  None.

## ◆ SetMonitorSpecifier()

void foxit.pdf.Rendition.SetMonitorSpecifier | ( | Rendition.MonitorSpecifier | monitor_specifier,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the monitor specifier type value.

Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Parameters

  [in] | monitor_specifier | Monitor specifier type value. Please refer to values starting from foxit.pdf.Rendition.MonitorSpecifier.e_MonitorSpecifierLargest and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetPermission()

void foxit.pdf.Rendition.SetPermission | ( | Rendition.MediaPermission | permission | ) |
| inline

Set the media permission.

Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

Parameters

  [in] | permission | Media permission value. Please refer to values starting from foxit.pdf.Rendition.MediaPermission.e_MediaPermTempNever and this should be one of these values.

Returns
  None.

## ◆ SetRenditionName()

void foxit.pdf.Rendition.SetRenditionName | ( | string | name | ) |
| inline

Get the name.

This name can be used for name tree lookup by JavaSript actions and can also be used in user interface.

Parameters

  [in] | name | Name of current rendition object.

Returns
  None.

## ◆ SetRepeatCount()

void foxit.pdf.Rendition.SetRepeatCount | ( | int | count,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the repeat count, similar to SMIL's repeatCount attribute.

Parameters

  [in] | count | The repeat count to be set. 0 means repeat forever. This value should not be negative value.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetVolume()

void foxit.pdf.Rendition.SetVolume | ( | int | volume,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the volume that specifies the desired volume level as a percentage of recorded volume level.

Parameters

  [in] | volume | Volume value to set. 0 means mute. This value should not be negative.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.

## ◆ SetWindowType()

void foxit.pdf.Rendition.SetWindowType | ( | Rendition.WindowType | window_type,
|  | Rendition.MediaOptionType | opt_type
| ) |  |
| inline

Set the type of window that the media should play in.

Parameters

  [in] | window_type | Windows type value. Please refer to values starting from foxit.pdf.Rendition.WindowType.e_WindowTypeFloating and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from foxit.pdf.Rendition.MediaOptionType.e_MediaOptionMustBeHonored and this should be one of these values. Default value: foxit.pdf.Rendition.MediaOptionType.e_MediaOptionBestEffort .

Returns
  None.